---
lang: en
title: 'API docs: core.lifecycleobserverregistry.getobservergroupsbyorder'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/core
permalink: /doc/en/lb4/apidocs.core.lifecycleobserverregistry.getobservergroupsbyorder.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [LifeCycleObserverRegistry](./core.lifecycleobserverregistry.md) &gt; [getObserverGroupsByOrder](./core.lifecycleobserverregistry.getobservergroupsbyorder.md)

## LifeCycleObserverRegistry.getObserverGroupsByOrder() method

Get observer groups ordered by the group

**Signature:**

```typescript
getObserverGroupsByOrder(): LifeCycleObserverGroup[];
```
**Returns:**

[LifeCycleObserverGroup](./core.lifecycleobservergroup.md)<!-- -->\[\]


